Chuyển đến nội dung
Diễn đàn CADViet
Học AutoCAD Online cùng CADViet

DuongTrungHuy

Thành viên
  • Số lượng nội dung

    186
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    7

Cộng đồng

65 (tàm tạm)

About DuongTrungHuy

  • Cấp bậc
    biết lệnh array
  • Ngày sinh 03/12/1958

Phương pháp liên hệ

  • ICQ
    0
  • Yahoo
    huyduongtrung@yahoo.com

Thông tin hồ sơ

  • Giới tính
    Male
  • Sở thích
    Khảo sát, thiết kế công trình Thuỷ lợi - Thuỷ điện

Khách truy cập Tiểu sử gần đây

4.716 chế độ xem tiểu sử
  1. Cần tư vấn phần mềm thiết kế đường ống nước

    Gửi rồi đó Chiến nhé!
  2. Cần tư vấn phần mềm thiết kế đường ống nước

    Xem ra đúng Bạn là dân ngọại đạo. Bạn có thể đưa sơ đồ tính mình tính giúp cho Bạn tham khảo. Phần mềm này mình đã sử dụng làm ăn hơn 30 năm rồi, vẫn sử dụng tốt :)
  3. Vấn đề về dung lượng bản vẽ

    DanhViet87 có dùng lệnh Audit được chưa? Bản vẽ đó người ta dùng nhiều Xref và trong Xrè đó có sử dụng nhiều kiểu vẽ đường thẳng (linetype) vậy nên khó Purge. Bạn dùng thử lệnh Audit xem thử, mình dùng lệnh đó thì nó lọai bở được đó. Cũng có cách khác bạn bật tất cả các layer lên rồi copy có tọa độ sau đó dùng 1 bản vẽ mẫu sạch và dán vào đó thì sẽ BV cũng sẽ nhẹ hơn v.v... Google Drive111.dwg
  4. Vấn đề về dung lượng bản vẽ

    Bạn dùng lệnh Audit trên menu File Bạn à. Bản vẽ nặng vì nhiều linetype quá! Google Drive111.dwg
  5. chỉnh sửa hatch

    Bạn cứ load lên là nó tự chạy luôn đó!
  6. chỉnh sửa hatch

    Bạn load cái này nhé! (Defun cChuyen_SOLID(/ da db d1 d2 ds1 i ss0) (Defun Mid0(A B) (setq dkq (list (* 0.5 (+ (car a)(car b))) (* 0.5 (+ (cadr a)(cadr b)))))) (setq ss0 (ssget "X" (list (Cons -4 "<AND") (Cons 0 "HATCH") (Cons 8 "H") (Cons -4 "AND>"))) i 0) (Repeat (sslength ss0) (setq ds1 (cdr (acet-geom-vertex-list (ssname ss0 i))) i (1+ i) da (Mid0 (car ds1) (cadr ds1)) db (Mid0 (caddr ds1) (cadddr ds1)) d1 (Mid0 (cadr ds1) (caddr ds1)) d2 (Mid0 (cadddr ds1) (car ds1)) ) (If (> (distance da db) (distance d1 d2)) (entmake (list (cons 0 "LINE")(cons 8 "LIENDAM")(cons 10 da)(cons 11 db))) (entmake (list (cons 0 "LINE")(cons 8 "LIENDAM")(cons 10 d1)(cons 11 d2))) ) ) ) (cChuyen_SOLID)
  7. xin lisp tạo bảng kích thước cạnh thửa đất!

    Bạn đưa bản vẽ mẫu lên đi cho dễ giúp nhé!
  8. LISP CHUYỂN MÀU LAYER

    À không đâu Bee ơi mình đang xài Cad 2014 đó, hì bgiờ ai còn dung cad14 nữa, hồi đầu mình xài cad12 hay trước đó thì phải, trước đây cad không đặt tên theo năm nên có cad14 v.v... Mình viết LISP từ 1992 kia. Cũng vì xài đồ cổ nên thấy mấy từ vla-get v.v... là lại sợ nên ít dùng. Cám ơn Bee đã quan tâm. (Tâm sự đại chúng cho vui vậy)
  9. LISP CHUYỂN MÀU LAYER

    Hì cám ơn Bee. Mình quen viết kiểu chân phương như vậy, chưa quen dùng các hàm kiểu Vla v.v... cái náy là mình trích từng đoạn trong bộ lisp của mình. Các hàm con như tìm các block đó được viết từ ngày mới tập viết lisp qua các sách hướng dẫn, hì hì trông có vẻ mô phạm. Quen rồi bây giờ cứ cần là lại lôi nó ra cho mau chứ ngại thay đổi. (Mình chưa quen thì thấy cái của Bạn lại hoa cả mắt hơn )
  10. LISP CHUYỂN MÀU LAYER

    Nếu Quang gặp khó khăn khi muốn trở về màu thành Bylayer thì dùng cái này thử xem. Xài tạm vì chưa thử nhiều (mới thử trên bản vẽ của Bạn sau khi cùng lệnh ColorX của Tây). Lệnh là: Re_Color (Defun LaydsBlock(/ ds dsphu ds1) (setq ds (tblnext "Block"T) dsBlock (list (cdr (assoc 2 ds))) dsphu (list (cons (cdr (assoc 2 ds)) (list ds)))) (while (/= ds nil) (setq ds (tblnext "Block") ds1 (cdr (assoc 2 ds))) (if (/= ds nil) (Progn (If (/= (substr ds1 1 1) "*") (Setq dsBlock (append dsBlock (list ds1)) dsphu (append dsphu (list (cons ds1 (list ds)))))) ) ) ) ) (Defun c:Re_Color() (LaydsBlock) (command "Undo" "be") (Foreach pt dsblock (command "bedit" pt) (command "change" "all" "L" "" "P" "COLOR" "Bylayer" "") (command "BCLOSE" "") ) (command "change" "all" "L" "" "P" "COLOR" "Bylayer" "") (command "Undo" "e") )
  11. LISP CHUYỂN MÀU LAYER

    Như vậy vấn đề khó của Quang là khó khi cho các Block Màu trắng đó trở về Bylayer. (command "bedit" "dghfhfh") (command "change" "all" "L" "" "P" "COLOR" "Bylayer" "") (command "BCLOSE" "") Ba dòng trên là để cho Block "dghfhfh" trở về màu Bylayer đó. Nếu Bạn biết sơ về Lisp thì có thể triển khai tiếp nhé.
  12. LISP CHUYỂN MÀU LAYER

    Mình có thử thì muốn đổi về cũ thì edit cho nó Bylayer đó Quang. Đối với các Block thì vào Edit Block và cho color là Bylayer là nó trở về. Tây viết cũng siêu thật!
  13. LISP CHUYỂN MÀU LAYER

    . Không biết ý Quang có phải vậy ko? Mình sử dụng Cad 2014 MAU NHA VIETSHIP M4 M&E_Huy.dwg
  14. LISP CHUYỂN MÀU LAYER

    Cám ơn Bee! Không sao mà cũng là giao lưu trong giây lát nếu cở chục lần thì mới ngại! Chủ yếu là học thuật tương trợ nhau là chính nhé! Một lần nữa cám ơn Bee!
  15. LISP CHUYỂN MÀU LAYER

    Ôi thế các block của Bạn bí hiểm quá Tây mà cũng chịu cơ mà :) (mình đổi thì hatch block v.v... tất tần tật đều OK)
×